[Python-Dev] PEP 0404 and VS 2010

Kristján Valur Jónsson kristjan at ccpgames.com
Thu Nov 21 13:36:48 CET 2013


> -----Original Message-----
> From: Python-Dev [mailto:python-dev-
> bounces+kristjan=ccpgames.com at python.org] On Behalf Of Antoine Pitrou
> Sent: 21. nóvember 2013 12:06
> To: python-dev at python.org
> Subject: Re: [Python-Dev] PEP 0404 and VS 2010
> 
> On Thu, 21 Nov 2013 09:19:27 +0000
> Kristján Valur Jónsson <kristjan at ccpgames.com> wrote:
> >
> > For reasons of work and others, I never got round to creating that
> > branch but recently Stackless development has picked up the pace to
> > the point where we feel it necessary to break with strict 2.7 conformance.
> 
> Why is that? Stackless can't switch to 3.x?
> 
Yes, we have stackless 3.3
But there is desire to have a 2.X version, with added fixes from 3.x, e.g. certain improvements in the
standard library etc.
It's the old argument:  moving to 3.x is not an option for some users, but there are known improvements that
can be applied to current 2.7.  Why not both have our cake and eat it?
cPython had probably two driving concerns for not making a 2.8:
1) Focussing development on one branch
2) encouraging (forcing) users to take the leap to 3 come hell or high water.

For Stackless, neither argument applies because 2.8 work would be done by us and stackless has no particular allegiance towards either version.

K


More information about the Python-Dev mailing list